%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}
%define _default_patch_fuzz 2

Name:           virt-df
Version:        2.1.4
Release:        2%{?dist}
Summary:        Utility like 'df' for virtual guests

Group:          Development/Libraries
License:        GPLv2+
URL:            http://et.redhat.com/~rjones/virt-df/
Source0:        http://et.redhat.com/~rjones/virt-df/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         virt-df-2.1.4-bogus-zh_CN-plurals.patch

BuildRequires:  ocaml >= 3.10.2
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-csv-devel
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-bitstring-devel >= 2.0.0
BuildRequires:  ocaml-xml-light-devel
BuildRequires:  ocaml-libvirt-devel

# Tortuous list of BRs for gettext.
BuildRequires:  ocaml-gettext-devel >= 0.3.0
BuildRequires:  ocaml-fileutils-devel
%ifnarch ppc64
BuildRequires:  ocaml-camomile-data
%endif

# Non-OCaml BRs.
BuildRequires:  libvirt-devel >= 0.2.1
BuildRequires:  perl
BuildRequires:  gawk

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh

%description
Virt-df is df for virtual guests. Run the program on the host / dom0
to display disk space used and available on all partitions on all
guests.


%prep
%setup -q
%patch0 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --libdir=%{_libdir} --prefix=%{_prefix}

rm */.depend
make depend

make all
%if %opt
make opt
strip virt-df/virt-df.opt
%endif

# Build translations.
make -C po

# Force rebuild of man page.
rm virt-df/virt-df.1
make -C virt-df virt-df.1


%install
rm -rf $RPM_BUILD_ROOT
make -C virt-df DESTDIR=$RPM_BUILD_ROOT install

# Install translations.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
make -C po install PODIR="$RPM_BUILD_ROOT%{_datadir}/locale"
%find_lang %{name}

# Install virt-df manpage by hand for now.
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 0644 virt-df/virt-df.1 $RPM_BUILD_ROOT%{_mandir}/man1


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README ChangeLog
%{_bindir}/virt-df
%{_mandir}/man1/virt-df.1*


%changelog
* Tue Oct 21 2008 Richard W.M. Jones <rjones@redhat.com> - 2.1.4-2
- Fix incorrect sources file.
- Remove bogus Plural-Forms line from zh_CN PO file.

* Tue Oct 21 2008 Richard W.M. Jones <rjones@redhat.com> - 2.1.4-1
- New upstream version 2.1.4.
- Requires bitstring >= 2.0.0 because of data corruptor fix.

* Thu Aug 28 2008 Richard W.M. Jones <rjones@redhat.com> - 2.1.3-2
- New upstream version 2.1.3.
- Rebuild with patch fuzz.
- bitmatch -> bitstring.
- Upload new sources.

* Fri Jul 11 2008 Richard W.M. Jones <rjones@redhat.com> - 2.1.2-1
- New upstream version 2.1.2.

* Sun May 18 2008 Richard W.M. Jones <rjones@redhat.com> - 2.1.1-6
- Include upstream cset 00a35ad4c881 which fixes build with
  latest bitmatch.

* Fri May 16 2008 Richard W.M. Jones <rjones@redhat.com> - 2.1.1-5
- Reenable ocaml-gettext-devel BR and get it working properly.
- Use find_lang to find PO files.
- +BR ocaml-fileutils-devel (not strictly needed, but a dependency
  of gettext).
- +BR ocaml-camomile-data except on ppc64.

* Tue May 13 2008 Richard W.M. Jones <rjones@redhat.com> - 2.1.1-1
- New upstream version 2.1.1.
- Needs bitmatch >= 0.9.

* Thu May  1 2008 Richard W.M. Jones <rjones@redhat.com> - 2.0.2-1
- New upstream version 2.0.2.
- Don't depend on ocaml-gettext, it's not used at the moment.
- Don't gzip the manpage, it happens automagically.
- This version needs bitmatch >=  0.5.
- +BR ocaml-xml-light-devel
- +BR ocaml-camlp4-devel

* Thu Apr 17 2008 Richard W.M. Jones <rjones@redhat.com> - 2.0.0-3
- Build with additional CSV support.

* Thu Apr 17 2008 Richard W.M. Jones <rjones@redhat.com> - 2.0.0-2
- New upstream release 2.0.0.
- BR ocaml-libvirt-devel.

* Tue Mar 19 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.1.1-1
- New upstream release 0.4.1.1.
- Move configure to build section.
- Pass RPM_OPT_FLAGS.

* Tue Mar  4 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.1.0-2
- Fix source URL.
- Install virt-df manpage.

* Tue Mar  4 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.1.0-1
- New upstream release 0.4.1.0.
- Upstream now requires ocaml-dbus >= 0.06, ocaml-lablgtk >= 2.10.0,
  ocaml-dbus-devel.
- Enable virt-df.

* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.0.3-3
- Rebuild for ppc64.

* Wed Feb 13 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.0.3-2
- Add BR gtk2-devel

* Tue Feb 12 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.0.3-1
- New upstream version 0.4.0.3.
- Rebuild for OCaml 3.10.1.

* Tue Nov 20 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.3.4-1
- New upstream release 0.3.3.4.
- Upstream website is now http://libvirt.org/ocaml/

* Fri Oct 19 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.3.0-2
- Mistake: BR is ocaml-calendar-devel.

* Fri Oct 19 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.3.0-1
- New upstream release 0.3.3.0.
- Added support for virt-df, but disabled it by default.
- +BR ocaml-calendar.

* Mon Sep 24 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.8-1
- New upstream release 0.3.2.8.

* Thu Sep 20 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.7-1
- New upstream release 0.3.2.7.
- Ship the upstream ChangeLog file.

* Thu Sep  6 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.6-2
- Force dependency on ocaml >= 3.10.0-7 which has fixed requires/provides
  scripts.

* Thu Sep  6 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.6-1
- New upstream version 0.3.2.6.

* Wed Aug 29 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.5-1
- New upstream version 0.3.2.5.
- Keep TODO out of the main package, but add (renamed) TODO.libvirt and
  TODO.virt-top to the devel and virt-top packages respectively.
- Add BR gawk.

* Thu Aug 23 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.4-1
- New upstream version 0.3.2.4.

* Thu Aug 23 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.3-2
- build_* macros so we can choose what subpackages to build.

* Thu Aug 23 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.3-1
- Upstream version 0.3.2.3.
- Add missing BR libvirt-devel.

* Wed Aug 22 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.2-1
- Upstream version 0.3.2.2.

* Wed Aug 22 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.1-2
- Fix unclosed if-statement in spec file.

* Wed Aug 22 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.1-1
- Upstream version 0.3.2.1.
- Put HTML documentation in -devel package.

* Mon Aug  6 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.1.2-1
- Initial RPM release.
